/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Feb 1 2002
    copyright            : (C) 2002 by Vairo Raja
    email                : ktctool@fr.ee
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kaboutdata.h>
#include <kcmdlineargs.h>

#include "ktctool.h"
  
static const char *description =
  I18N_NOOP("Ktctool v1.0");

static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "ktctool", I18N_NOOP("Ktctool"),
    "v1.0", description, KAboutData::License_GPL,
    "(c) 2002-2003, Vairo Raja", 0, 0, "ktctool@fr.ee");
  aboutData.addAuthor("Vairo Raja",0, "ktctool@fr.ee");
  aboutData.addCredit("Meelis Roos",0,"mroos@math.ut.ee");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  Ktctool *ktctool = new Ktctool();
  a.setMainWidget(ktctool);
//  ktctool->setGeometry(5,5,945,545); 
//  ktctool->setMaximumSize(760,540);
  ktctool->show();

  return a.exec();
}
